﻿-- Author      : Nogarder
-- Create Date : 2013/6/10 12:47:11
local NPA_NamePlateDataParser_AddElements=NPA.NamePlateDataParser.AddElements

local NPA_NamePlateModuleManager_ZipModule=NPA.NamePlateModuleManager.ZipModule
local NPA_NamePlateModuleManager_UnzipModule=NPA.NamePlateModuleManager.UnzipModule

local NPA_FrameMacro_SetFrameTimer=NPA.FrameMacro.SetFrameTimer

local NPA_NumberManager_SetNumber=NPA.NumberManager.SetNumber
local NPA_NumberManager_SetNumberColor=NPA.NumberManager.SetNumberColor

local NPA_BarManager_SetBarGroupColor=NPA.BarManager.SetBarGroupColor
local NPA_BarManager_SetBarGroup=NPA.BarManager.SetBarGroup

--
NPA.NamePlateModuleManager.RegisterDataModule("BarGroup","ComboPoints",function(framedata,bargroupframe,setting)
	--add event elements
 	--hook name update
	NPA_NamePlateDataParser_AddElements(framedata,bargroupframe,"ComboPoints_Updated",function(framedata,unitdata)
		if(unitdata.ComboPoints)then
			--using blizzard max_combo_points
			NPA_BarManager_SetBarGroup(bargroupframe,(unitdata.ComboPoints or 0)/(MAX_COMBO_POINTS))
			NPA_NamePlateModuleManager_UnzipModule(bargroupframe)
		else
			NPA_NamePlateModuleManager_ZipModule(bargroupframe)
		end
	end)
end)
NPA.NamePlateModuleManager.RegisterDataModule("Number","ComboPoints",function(framedata,numberframe,setting)
	--add event elements
 	--hook name update
	NPA_NamePlateDataParser_AddElements(framedata,numberframe,"ComboPoints_Updated",function(framedata,unitdata)
		if(unitdata.ComboPoints)then
			--prevent it to be zero
			NPA_NumberManager_SetNumber(numberframe,unitdata.ComboPoints or 0,MAX_COMBO_POINTS)
			NPA_NamePlateModuleManager_UnzipModule(numberframe)
		else
			NPA_NamePlateModuleManager_ZipModule(numberframe)
		end
	end)
end)
--
NPA.NamePlateModuleManager.RegisterDataModule("TextureGroup","ComboPoints",function(framedata,textureframe,setting)
	NPA_NamePlateDataParser_AddElements(framedata,textureframe,"ComboPoints_Updated",function(framedata,unitdata)
		if(unitdata.ComboPoints)then
			NPA_NamePlateModuleManager_UnzipModule(textureframe)
		else
			NPA_NamePlateModuleManager_ZipModule(textureframe)
		end
	end)
end)